/*
usage
	//html
    <div id="spProgress" style="display:none"></div>

    //start progress
    $("#spProgress").simpleProgress();

    //stop progress
    $("#spProgress").css("display","none");

    //options
    $("#spProgress").simpleProgress({message:"updating",interval:200,top:100,left:100,relpath:"../../"});

*/

(function($){

	$.fn.simpleProgress = function(options){
		var target  = this;

		var defaults = {
			interval : 100,
			message : "Progress",
			top: (screen.height /2),
			left: (screen.width /2) ,
			relpath: "../"
		};
		var settings = $.extend(defaults, options);;
		var timer = null;


		var elementFunc = function(elem){
			//init

			var cnt = 0;

			var init = function (){
				$(elem).empty();
				$(elem).append("<img src='" + settings.relpath + "ani.png' >");

				$(elem).css("display","block");
				$(elem).css("position","absolute");
				$(elem).css("top",settings.top);
				$(elem).css("left",settings.left);
				$(elem).css("z-index",100);
				$(elem).append("<span class='pg-message'>" + settings.message + "</span>");
				$(elem).children(".pg-message").css("display","block");
				$(elem).children(".pg-message").css("float","left");
				$(elem).children(".pg-message").css("padding",10);

				timer = setInterval(function(){
					var wk = "";
					for (var i = 0 ; i < cnt ;i++){
						wk += ".";
					}

					$(elem).children(".pg-message").text(settings.message + wk);
					var trf = "transform: rotate(@@@deg);-ms-transform: rotate(@@@deg);-moz-transform: rotate(@@@deg);-webkit-transform: rotate(@@@deg);"
					trf = trf.replace(/@@@/g,cnt*45);
					$(elem).children("img").attr("style","float:left;" + trf);

					cnt++;

					if ($(elem).css("display") == "none"){
						clearInterval(timer);
					}

					if (cnt == 8){
						cnt = 0;
					}
				}
				,settings.interval);

				$(elem).click(function(){
					cnt = 0;
				});
			};

			init();

		};




		var ret =  $(this).each(function(){
			elementFunc(this); 
		});

		return ret;
	}



})(jQuery);
